import { IconAtom, PopoverAtom } from "../../";
import { Atom } from "../../atom";
export declare class FormFieldAtom extends Atom {
    static CSS_CLASS: string;
    private root;
    getHintText(): Promise<string>;
    getCaptionText(): Promise<string>;
    getStateText(): Promise<string>;
    getInfoIcon(): IconAtom;
    getInfoPopover(): PopoverAtom;
    getErrors(): Promise<string[]>;
}
